Last Comment Bug 674246 - Workaround event handler having the same original prototype node
: Workaround event handler having the same original prototype node
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- major (vote)
: seamonkey2.17
Assigned To: Ian Neal
:
:
Mentors:
Depends on: 671192 672258
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-26 09:21 PDT by Ian Neal
Modified: 2013-01-02 04:26 PST (History)
4 users (show)
iann_bugzilla: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
affected
fixed
fixed
fixed


Attachments
Context dummynode fix (2.07 KB, patch)
2011-07-26 09:21 PDT, Ian Neal
no flags Details | Diff | Splinter Review
Reduced context dummy node fix [Checked in: trunk Comment 2 and comm-aurora/beta Comment 3] (1.06 KB, patch)
2011-07-26 13:06 PDT, Ian Neal
neil: review+
bugspam.Callek: approval‑comm‑aurora+
bugspam.Callek: approval‑comm‑beta+
Details | Diff | Splinter Review
Backout workaround [Checked in: Comment 7] (2.02 KB, patch)
2013-01-01 08:40 PST, Ian Neal
neil: review+
Details | Diff | Splinter Review

Description Ian Neal 2011-07-26 09:21:33 PDT
Created attachment 548488 [details] [diff] [review]
Context dummynode fix

Over in bug 671192, Neil suggested a possible workaround for the event handler having the same original prototype node by adding a dummy node to each main document.
This patch does that, once the core issue is fixed should be able to backout this patch where it lands.
Comment 1 Ian Neal 2011-07-26 13:06:41 PDT
Created attachment 548557 [details] [diff] [review]
Reduced context dummy node fix [Checked in: trunk Comment 2 and comm-aurora/beta Comment 3]

Changes since last version:
* Only add dummy node to the one file as that is sufficient.
Comment 2 Ian Neal 2011-07-26 16:43:27 PDT
Comment on attachment 548557 [details] [diff] [review]
Reduced context dummy node fix [Checked in: trunk Comment 2 and comm-aurora/beta Comment 3]

http://hg.mozilla.org/comm-central/rev/273d03134e26

Requesting approval to get into comm-aurora/beta to fix this issue.
Comment 3 Ian Neal 2011-07-26 17:20:38 PDT
Comment on attachment 548557 [details] [diff] [review]
Reduced context dummy node fix [Checked in: trunk Comment 2 and comm-aurora/beta Comment 3]

http://hg.mozilla.org/releases/comm-aurora/rev/12b3fc9c38d0
http://hg.mozilla.org/releases/comm-beta/rev/fc7414166518
Comment 4 neil@parkwaycc.co.uk 2012-08-22 13:44:21 PDT
Bug 773945 fixed this so the patch can be backed out on trunk.
Comment 5 Philip Chee 2013-01-01 02:43:33 PST
IanN: Time to back this out?
Comment 6 Ian Neal 2013-01-01 08:40:48 PST
Created attachment 696885 [details] [diff] [review]
Backout workaround [Checked in: Comment 7]

This backs out the workarounds for compose/composer code.
Comment 7 Ian Neal 2013-01-02 04:25:29 PST
Comment on attachment 696885 [details] [diff] [review]
Backout workaround [Checked in: Comment 7]

http://hg.mozilla.org/comm-central/rev/fb8ce692fcab

Note You need to log in before you can comment on or make changes to this bug.